package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.QwUserVoiceLog;
import com.fs.qw.vo.QwUserVoiceLogTotalVo;
import com.fs.qw.vo.QwUserVoiceLogVo;

import java.util.List;

/**
 * 企微用户通话记录Service接口
 *
 * @author fs
 * @date 2025-05-08
 */
public interface IQwUserVoiceLogService extends IService<QwUserVoiceLog>{
    /**
     * 查询企微用户通话记录
     *
     * @param id 企微用户通话记录主键
     * @return 企微用户通话记录
     */
    QwUserVoiceLogVo selectQwUserVoiceLogById(Long id);

    /**
     * 查询企微用户通话记录列表
     *
     * @param qwUserVoiceLog 企微用户通话记录
     * @return 企微用户通话记录集合
     */
    List<QwUserVoiceLogVo> selectQwUserVoiceLogList(QwUserVoiceLogVo qwUserVoiceLog);

    /**
     * 新增企微用户通话记录
     *
     * @param qwUserVoiceLog 企微用户通话记录
     * @return 结果
     */
    int insertQwUserVoiceLog(QwUserVoiceLog qwUserVoiceLog);

    /**
     * 修改企微用户通话记录
     *
     * @param qwUserVoiceLog 企微用户通话记录
     * @return 结果
     */
    int updateQwUserVoiceLog(QwUserVoiceLog qwUserVoiceLog);

    /**
     * 批量删除企微用户通话记录
     *
     * @param ids 需要删除的企微用户通话记录主键集合
     * @return 结果
     */
    int deleteQwUserVoiceLogByIds(Long[] ids);

    /**
     * 删除企微用户通话记录信息
     *
     * @param id 企微用户通话记录主键
     * @return 结果
     */
    int deleteQwUserVoiceLogById(Long id);

    List<QwUserVoiceLogTotalVo> selectQwUserVoiceLogTotalList(QwUserVoiceLogTotalVo qwUserVoiceLog);

    void addQuUserVoiceByIpadCallback(Long id, Long extUserId, Integer recordType, Integer totalSeconds, String uuid);
}
